Bug 205142 - www/photo_gallery: Whitespace fix, modernize
Summary: www/photo_gallery: Whitespace fix, modernize
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-12-08 16:36 UTC by Dmitry Marakasov
Modified: 2016-01-08 13:49 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (bob)


Attachments
Patch (1.40 KB, patch)
2015-12-08 16:36 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2015-12-08 16:36:04 UTC
Created attachment 163993 [details]
Patch

- Fix extra whitespace
- Switch to COPYTREE_SHARE
- Add NO_ARCH
- Don't set owner/group: this does open any files for writing, so it doesn't need any write permissions
- Drop @dirrm

For convenience, here's the same diff but with whitespace changes ignored:

---
Index: Makefile
===================================================================
--- Makefile    (revision 403272)
+++ Makefile    (working copy)
@@ -20,10 +20,10 @@
 SHEBANG_FILES= index.cgi
 perl_OLD_CMD=  /usr/pkg/bin/perl
 NO_BUILD=      yes
+NO_ARCH=       yes
 
 do-install:
                ${MKDIR} ${STAGEDIR}${WWWDIR}/
-               @cd ${WRKSRC}; ${FIND} . \
-                       | ${CPIO} -pdm -R ${WWWOWN}:${WWWGRP} ${STAGEDIR}${WWWDIR}
+       @cd ${WRKSRC}; ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}
 
 .include <bsd.port.mk>
Index: pkg-plist
===================================================================
--- pkg-plist   (revision 403272)
+++ pkg-plist   (working copy)
@@ -2,4 +2,3 @@
 %%WWWDIR%%/readme.html
 %%WWWDIR%%/.header.html
 %%WWWDIR%%/.footer.html
-@dirrm %%WWWDIR%%
---
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-09 01:00:42 UTC
Reporter is committer, assign accordingly
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-09 01:01:21 UTC
@Dmitry, these are all blanket changes with implicit approval no?
Comment 3 Dmitry Marakasov freebsd_committer 2015-12-15 14:38:32 UTC
(In reply to Kubilay Kocak from comment #2)
> @Dmitry, these are all blanket changes with implicit approval no?

Regardless of whether there's blanket approval there are changes I'd like to be reviewed by maintainer first.
Comment 4 commit-hook freebsd_committer 2016-01-08 13:49:02 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Jan  8 13:48:59 UTC 2016
New revision: 405547
URL: https://svnweb.freebsd.org/changeset/ports/405547

Log:
  - Fix extra whitespace
  - Switch to COPYTREE_SHARE
  - Add NO_ARCH
  - Modernize plist

  PR:		205142
  Submitted by:	amdmi3
  Approved by:	maintainer timeout (bob@bomar.us, 1 month)

Changes:
  head/www/photo_gallery/Makefile
  head/www/photo_gallery/pkg-plist